Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table.navi
Class ClickableMemberTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.tonbeller.jpivot.table.navi.ClickableMemberTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ClickableMemberTag

extends javax.servlet.jsp.tagext.TagSupport

allows to click on a member in the table and pass the member as parameter to another jsp page

Author:
  av
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ClickableMemberTag()`

Method Summary
`int` | `doStartTag()`
`void` | `setMenuLabel(java.lang.String menuLabel)`
`void` | `setPage(java.lang.String page)`
`void` | `setPropertyName(java.lang.String propertyName)`
`void` | `setPropertyPrefix(java.lang.String propertyPrefix)`
`void` | `setProviderClass(java.lang.String providerClass)`
`void` | `setSessionParam(java.lang.String sessionParam)`
`void` | `setUniqueName(java.lang.String string)`
`void` | `setUrlPattern(java.lang.String string)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClickableMemberTag

    public ClickableMemberTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### setUniqueName

    public void setUniqueName(java.lang.String string)

### setUrlPattern

    public void setUrlPattern(java.lang.String string)

### setSessionParam

    public void setSessionParam(java.lang.String sessionParam)

### setPropertyName

    public void setPropertyName(java.lang.String propertyName)

### setPropertyPrefix

    public void setPropertyPrefix(java.lang.String propertyPrefix)

### setProviderClass

    public void setProviderClass(java.lang.String providerClass)

### setPage

    public void setPage(java.lang.String page)

### setMenuLabel

    public void setMenuLabel(java.lang.String menuLabel)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD